Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QSocketNotifier.Type

    java.lang.Object
      java.lang.Enum<QSocketNotifier.Type>
          com.trolltech.qt.core.QSocketNotifier.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSocketNotifier.Type>

Enclosing class:
  QSocketNotifier

    public static enum QSocketNotifier.Type

extends java.lang.Enum<QSocketNotifier.Type>
implements QtEnumerator

This enum describes the various types of events that a socket notifier can recognize. The type must be specified when constructing the socket notifier.

Note that if you need to monitor both reads and writes for the same file descriptor, you must create two socket notifiers. Note also that it is not possible to install two socket notifiers of the same type (Read, Write, Exception) on the same socket.

See Also:
  `QSocketNotifier`, `type`

Enum Constant Summary
`Exception` An exception has occurred.
`Read` There is data to be read.
`Write` Data can be written.

Method Summary
`static QSocketNotifier.Type` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSocketNotifier.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSocketNotifier.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Read

    public static final QSocketNotifier.Type Read

  There is data to be read.

### Write

    public static final QSocketNotifier.Type Write

  Data can be written.

### Exception

    public static final QSocketNotifier.Type Exception

  An exception has occurred. We recommend against using this.

Method Detail

### values

    public static final QSocketNotifier.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSocketNotifier.Type c : QSocketNotifier.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSocketNotifier.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSocketNotifier.Type resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD